<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<title>レシピ編集</title>
    
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    
    <link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Kalam|Kosugi+Maru&display=swap&subset=japanese" rel="stylesheet">
    
    <!-- original CSS -->
    <link href="css/bootstrap.css" rel="stylesheet">
    <link href="css/common.css" rel="stylesheet">
</head>
<body>
    
    <div class="container-fluid">
    <!-- 上インデックス -->   
    <div class="row" id="head-row">
        <div class="col-12" id="head-col">
            <div class="header">
                <div id="headnav">
                <a href="top.html" id="home">loginuser's recipe note</a>
                </div>
            </div>
        </div>    
    </div>
        
    <div class="row" id="main-row">
        <!-- メインカラム -->
        <div class="col-11 py-3" id="main-col">
            <form method="post" action="recipeDetail.html" class="form-horizontal" enctype="multipart/form-data">
                
            <div class="form-row">    
                <div class="form-group col-10 ml-3">
                    <input type="text" class="form-control form-control-lg" id="recipeName" name="newRecipeName" value="簡単ふんわり♫煮込みハンバーグ" placeholder="料理名" required autofocus>
                </div>
                
                <!-- 戻るボタン -->
                <button type="button" class="btn btn-info rounded-circle m-2 p-1" style="width:2.2rem;height:2.2rem;" onclick="location.href='recipeDetail.html'"><i class="fas fa-undo-alt fa-lg"></i></button>
                <!-- 更新ボタン -->
                <button type="submit" class="btn btn-success rounded-circle m-2 p-1" style="width:2.2rem;height:2.2rem;" onclick="location.href='recipeDetail.html'"><i class="fas fa-check fa-lg"></i></button> 
            </div>  
           
            <div class="form-row">
                <div class="col-5 pr-0">
                    <div class="col-12 photoFlame">
                        <div class="polaroid">
                        <span class="masking-tape"></span>
                        <img id="dish" class="d-block w-100" src="https://picsum.photos/150?image=429" alt="">
                        </div>
                        <input type="file" accept="image/*" onchange="readURL(this);">
                    </div>
                    
                    <div class="form-group col-12 pr-0 pt-3">
                        <input type="text" class="form-control form-control col-12" id="description" name="newDescription" placeholder="説明" value="ふんわりハンバーグと甘めのソースでご飯がモリモリ進みます！冷めても柔らかいのでお弁当にも♫" placeholder="説明">
                    </div>
                </div>
                <div class="col-7 d-flex justify-content-center pl-3">
                    <h5>材料
                    <div class="form-group col-10 p-0">
                    <input type="text" class="form-control" id="servings" name="newServings" value="2人分" placeholder="分量" required>
                    </div>
                    </h5>
                    <div class="form-group col-8 pl-0">
                        <textarea class="form-control" id="ingredients" name="newIngredients" placeholder="材料" rows="19" required>合挽き肉250g
玉ねぎ1/2個
○卵1個
○パン粉大さじ3
○牛乳大さじ3
○ナツメグ少々
○塩コショウ少々
■ 【ソース】
●しめじ1/2房
●水300cc
●ケチャップ大さじ2
●ウスターソース大さじ3
●みりん大さじ1/2
●しょうゆ大さじ1/2
バター10g
小麦粉適量
塩コショウ適量</textarea>
                    </div> 
                </div>  
            </div>
                
            <div class="form-row">
                <div class="col-12">
                    <h5>作り方</h5>
                    <div class="form-group col-12">
                        <textarea class="form-control" id="preparation" name="newPreparation" placeholder="作り方" rows="11" required>1．玉ねぎはみじん切りにして炒め、粗熱を取る。
2．ボールにひき肉、炒め玉ねぎ、○の材料を入れ、粘り気が出るまでこねたら、丸く成型する。
3．熱したフライパンにサラダ油を入れ、成型したハンバーグを焼く（中火くらい）
4．焼き色がついてきたらひっくり返し、裏面にも焼き目をつける。（この後煮込むので完全に火を通さなくてOKです）
5．両面に焼き色がついたら一旦取り出し、フライパンに残った油をペーパーで拭き取る。
6．5のフライパンに、●の材料を加えてふつふつ煮立ってきたら、ハンバーグを戻し入れる。
7．蓋をして10分ほど煮込む。
8．火を止め、バターを加え塩コショウで味を整える。
この時、ソースがゆるければ、小麦粉を少しづつ加えてとろみをつける。
9．茹でたジャガイモやアスパラ、ブロッコリー（分量外）などお好みの付け合わせとともに盛り付けて完成！</textarea>
                    </div> 
                </div>
            </div>
            <div class="form-row">
                <div class="col-12">
                    <h5>ポイント</h5>
                    <div class="form-group col-12">
                        <input type="text" class="form-control form-control col-12" id="tips" name="newTips" value="ハンバーグはのタネは少しゆるめなので、成型時やフライパンに入れる時に崩れないように注意です。">
                    </div>
                </div>
            </div>
            <div class="form-row">   
                <div class="form-group form-inline col-12">
                    <label>出典：</label>
                    <input type="text" class="form-control form-control-sm col-11" id="source" name="newSource" value="https://cookpad.com/recipe/3953720" placeholder="出典">
                </div>               
            </div>
            <hr>
            <div class="form-row">
                <div class="form-inline col-12">
                    <label>カテゴリ：</label>
                    <select id="categorySelect" class="custom-select custom-select-sm col-4">
                        <option selected>選択...</option>
                        <option value="ごはんもの">ごはんもの</option>
                        <option value="おかず">おかず</option>
                        <option value="お菓子">お菓子</option>
                    </select>

                    <input type="text" class="form-control form-control-sm col-4 ml-5" id="newCategory" name="newCategory" placeholder="新規カテゴリ名">
                    <input type="button" id ="categoryAdd" value="追加">
                </div>     
            </div>
                
            
                
            <div class="form-row mt-3">
                <div class="tag col-12">
                <label>タグ：</label>   
                    <div class="custom-control custom-checkbox custom-control-inline">
                      <input type="checkbox" class="custom-control-input" name="tag[]" id="Check1">
                      <label class="custom-control-label" for="Check1">玉ねぎ</label>
                    </div> 
                    <div class="custom-control custom-checkbox custom-control-inline">
                      <input type="checkbox" class="custom-control-input" name="tag[]" id="Check2">
                      <label class="custom-control-label" for="Check2">しめじ</label>
                    </div>
                    <div class="custom-control custom-checkbox custom-control-inline">
                      <input type="checkbox" class="custom-control-input" name="tag[]" id="Check3">
                      <label class="custom-control-label" for="Check3">パン粉</label>
                    </div>
                    <div class="custom-control custom-checkbox custom-control-inline">
                      <input type="checkbox" class="custom-control-input" name="tag[]" id="Check4">
                      <label class="custom-control-label" for="Check4">卵</label>
                    </div>
                </div>
                
                <input type="text" class="form-control form-control-sm col-4 ml-5" id="newTag" name="newTag" placeholder="新規タグ名">
                <input type="button" id ="tagAdd" value="追加">
            </div>
                
        </form>
        </div>

        
        <!-- 右インデックス -->
        <div class="col-1" id="right-col">
            <div class="navi">
            <div id="sidenav" class="sidenav">
                <a href="userDetail.html" id="user"><i class="fas fa-user"></i></a>
                <a href="recipeSort.html" id="settings"><i class="fas fa-folder-open"></i></a>
                <a href="recipeAdd.html" id="add"><i class="fas fa-pen"></i></a>
                <a href="login.html" id="logout"><i class="fas fa-sign-out-alt"></i></a>
                <!-- <a href="#" id="about"><i class="far fa-calendar-alt"></i></a> -->
            </div>
            </div>
        </div>
        
    </div>
  </div>
    
    <!-- Optional JavaScript -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    
    <!-- Original JavaScript -->
    <script type="text/javascript" src="js/common.js"></script>
</body>
</html>